import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxNzUsInVzZXJfa2V5IjoiYjU1NjczMmUtNDE0Zi00ODM3LWFhMTAtYjI3NDQ3MWQ2YjdiIiwidXNlcm5hbWUiOiIxNTY2NjY2NjY2NiJ9.ExD31Uuvo7TUTxI8FAF8k4yQ-667k6gy3qx0XRm27kVM3yZhBniuKNm0wNpK5fBs_2f_0U5XNf_GlBDC2-wV2A'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
